跳转到内容

V2.0

用 AI 处理上传的图片,生成 AI 帽子虚拟试戴体验,并支持按性别区分的风格参数。

执行 AI 帽子虚拟试戴 任务。

请求

本接口用于发起 AI 帽子虚拟试戴流程。您需要提供源文件、参考文件(URL 或 ID),并指定性别与风格参数。任务会异步处理,您可以使用本响应返回的 task_id 查询其状态。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
genderstring必需

图片中人物的性别。

Enum:"female""male"
示例:"female"
stylestring

用于控制服装与背景风格。

默认值:"random"
Enum:"random""style_sporty_casual""style_urban_fashion""style_vacation_casual""style_warm_cozy""style_bohemian"
示例:"random"
src_file_urlstring必需

用于运行任务的文件 URL,该 URL 需可公开访问。

示例:"https://example.com/selfie.jpg"
ref_file_urlstring必需

用于运行任务的参考文件 URL,该 URL 需可公开访问。

示例:"https://example.com/accessory.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hat \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_url": "https://example.com/accessory.jpg",
    "gender": "female",
    "style": "random"
  }'

响应

任务执行成功

正文application/json
statusinteger

响应状态

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }